<?php
namespace Claromentis\OAuth2;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"] = (@$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"] ?: array()) + array("_8ff0c68bbee5fe1984" . "9c7f82cd0d6a0f" => base64_decode("cmVkaXJlY3Rfd" . "XJpcw=="), "_c372545d70ea3c51062f754" . "45d687929" => base64_decode("REVMRVRFIEZST00gb2F1dGhfY2xpZW50X3JlZGlyZWN0X3V" . "yaXMgV0hFUkUgY2xpZW50X2lkIGVxOnN0cjpjaWQ="), "_803d546c" . "35dc6bb74" . "c3cd32b95" . "fcac3e" => base64_decode("U0VMRUNUIHJlZGlyZWN0X3VyaSBGUk9NIG9hdXRoX2NsaWVudF9yZWRpcmVjdF91cmlzIFdI" . "RVJFIGNsaWVudF9pZCBlcTpzdHI6Y2lk"), "_7f628626dd1d55" . "c71b1fc0932ffd1" . "d2c" => base64_decode("aXNfYX" . "JyYXk="), "nam" . "e" => base64_decode("bmF" . "tZQ" . "=="), "i" . "d" => base64_decode("aW" . "Q="), "_70995c4fd2bcc" . "fc9acaf06d8444" . "852c7" => base64_decode("SU5TRVJUIElOVE8gb2F1dGhfY2xpZW50X3JlZGlyZWN" . "0X3VyaXMgKGNsaWVudF9pZCwgcmVkaXJlY3RfdXJpKS" . "BWQUxVRVMgKHN0cjpjaWQsIHN0cjp1KQ=="), "_a591754a8ddcdbda9c80f1db4d911" . "e14" => base64_decode("aXNfbnVsbA" . "=="), "_2fcdfa6cef441" . "3005aae9ae3df6" . "426e2" => base64_decode("b2F1dGhfY2xpZW" . "50cw=="), "_653c065ce" . "13fcc898c8" . "5e35e3f0ab" . "5bc" => base64_decode("c2Vjcm" . "V0"));
use Claromentis\Core\DAL;
use Claromentis\Core\Services;
use ObjectsStorage;










class Client extends \ActiveRecord
{
    protected $redirect_uris = null;
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    public function InitDbMapping(ObjectsStorage $storage)
    {
        $storage->MapDbTable($this, $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_2fcdfa6cef4413005aae9a" . "e3df6426e2"], $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["i" . "d"]);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["i" . "d"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["n" . "a" . "m" . "e"], ObjectsStorage::T_STRING, 255);
        $storage->MapDbColumn($this, $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_653c065ce13" . "fcc898c85e35" . "e3f0ab5bc"], ObjectsStorage::T_STRING, 255);
    }
    
    
    
    
    public function GetRedirectURIs()
    {
        if ($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_a591754a8ddcdbda9c80f1db4d911" . "e14"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_189840d11056515e52402d1412a0b6e4 = $db->query($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_803d546c35dc6bb74c3cd" . "32b95fcac3e"], $this->id);
            $this->redirect_uris = $_189840d11056515e52402d1412a0b6e4->fetchAllValues();
        }
        return $this->redirect_uris;
    }
    
    
    
    
    public function SetRedirectURIs($_688eb32b375d969d8f026c11a2cd33ea)
    {
        $this->redirect_uris = $_688eb32b375d969d8f026c11a2cd33ea;
    }
    public function Save()
    {
        if (!parent::Save()) {
            return false;
        }
        if ($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_7f628626dd1" . "d55c71b1fc09" . "32ffd1d2c"]($this->redirect_uris)) {
            $db = Services::I()->GetDb();
            $_15afa2d452391af5d01076584c0d792a = $this->id;
            $db->query($GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"]["_c372545d70ea3c51062f75445d68" . "7929"], $_15afa2d452391af5d01076584c0d792a);
            foreach ($this->redirect_uris as $_797ea62e9ab498d38c2781088fc553f6) {
                $db->query($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_70995c4fd2bccfc9a" . "caf06d8444852c7"], $_15afa2d452391af5d01076584c0d792a, $_797ea62e9ab498d38c2781088fc553f6);
            }
        }
        return true;
    }
    public function ResetSecret()
    {
        $this->SetProperty($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_653c065ce13f" . "cc898c85e35e3" . "f0ab5bc"], \CryptUtils::GetRandomString());
    }
    public static function CreateNew($_24b81fd345b39bff8a1dfa1607826ec3)
    {
        
        
        $client = static::Create([$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["i" . "d"] => \CryptUtils::GetRandomString() . \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_653c065ce1" . "3fcc898c85e" . "35e3f0ab5bc"] => \CryptUtils::GetRandomString(), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["n" . "a" . "m" . "e"] => $_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["na" . "me"]]]);
        $client->SetRedirectURIs($_24b81fd345b39bff8a1dfa1607826ec3[$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_8ff0c68bbee5fe" . "19849c7f82cd0d6" . "a0f"]]);
        return $client;
    }
}